#pragma once

#include <filesystem>

using Path = std::filesystem::path;

class TestUtils
{
public:
    static Path getTestOutputDir(const std::string& testFileName = {})
    {
        if (!testFileName.empty())
        {
            const auto name = Path(testFileName).filename().stem();
            return std::filesystem::current_path() / "test_output" / name;
        }
        else
        {
            return std::filesystem::current_path() / "test_output";
        }
    }

    static Path getTestDataDir()
    {
        return std::filesystem::current_path() / "test_data";
    }
};
